Thicker shell, cable relief space

This commit is contained in:
Roberto Alsina 2022-07-22 14:38:08 -03:00
parent 08100f5ee9
commit 265d50e329
1 changed files with 12 additions and 3 deletions

View File

@ -2,7 +2,7 @@ import cadquery2 as cq
from cadquery2 import exporters
# Shell thickness
shell_t = 2
shell_t = 3.5
# width, length VISIBLE WITHIN THE BEZEL
screen_w = 223
@ -31,7 +31,7 @@ display_bottom_margin = display_top_margin # Symmetrical
# Threaded insert hole dimensions
ti_radius = 2.35
ti_depth = 7.5
ti_depth = 6.5
screen_cutout = (
@ -42,6 +42,10 @@ board_cutout = (
cq.Sketch().trapezoid(55, 50, 90, mode="a").reset().vertices("<X").fillet(5)
)
cable_relief = (
cq.Sketch().trapezoid(width, 30, 90)
)
segment_breaks_top = (
cq.Sketch()
.rarray(1, length, 1, 1)
@ -100,11 +104,16 @@ screen_base = (
.center(width / 2 - 27.5, 0)
.placeSketch(board_cutout)
.cutBlind(-shell_t)
# Make some room for the ribbon cable
.faces("<Z[-2]")
.workplane(centerOption="CenterOfBoundBox")
.placeSketch(cable_relief)
.cutBlind(-1)
# Back reinforcement with holes for threaded inserts
.faces("<Z")
.workplane(centerOption="CenterOfBoundBox")
.placeSketch(back_reinforcement)
.extrude(1 + ti_depth - shell_t)
.extrude(1 + 1 + ti_depth - shell_t)
.faces("<Z")
.workplane(centerOption="CenterOfBoundBox")
.placeSketch(threaded_inserts)